%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate zstd

Name:           rust-zstd
Version:        0.13.1
Release:    1%{?dist}
Summary:        Binding for the zstd compression library

License:        MIT
URL:            https://crates.io/crates/zstd
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Binding for the zstd compression library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/Readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arrays-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arrays-devel %{_description}

This package contains library source intended for building other packages which
use the "arrays" feature of the "%{crate}" crate.

%files       -n %{name}+arrays-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+doc-cfg-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+doc-cfg-devel %{_description}

This package contains library source intended for building other packages which
use the "doc-cfg" feature of the "%{crate}" crate.

%files       -n %{name}+doc-cfg-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+experimental-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental-devel %{_description}

This package contains library source intended for building other packages which
use the "experimental" feature of the "%{crate}" crate.

%files       -n %{name}+experimental-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fat-lto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fat-lto-devel %{_description}

This package contains library source intended for building other packages which
use the "fat-lto" feature of the "%{crate}" crate.

%files       -n %{name}+fat-lto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+legacy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+legacy-devel %{_description}

This package contains library source intended for building other packages which
use the "legacy" feature of the "%{crate}" crate.

%files       -n %{name}+legacy-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no_asm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no_asm-devel %{_description}

This package contains library source intended for building other packages which
use the "no_asm" feature of the "%{crate}" crate.

%files       -n %{name}+no_asm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pkg-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pkg-config-devel %{_description}

This package contains library source intended for building other packages which
use the "pkg-config" feature of the "%{crate}" crate.

%files       -n %{name}+pkg-config-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+thin-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+thin-devel %{_description}

This package contains library source intended for building other packages which
use the "thin" feature of the "%{crate}" crate.

%files       -n %{name}+thin-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+thin-lto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+thin-lto-devel %{_description}

This package contains library source intended for building other packages which
use the "thin-lto" feature of the "%{crate}" crate.

%files       -n %{name}+thin-lto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wasm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasm-devel %{_description}

This package contains library source intended for building other packages which
use the "wasm" feature of the "%{crate}" crate.

%files       -n %{name}+wasm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zdict_builder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zdict_builder-devel %{_description}

This package contains library source intended for building other packages which
use the "zdict_builder" feature of the "%{crate}" crate.

%files       -n %{name}+zdict_builder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zstdmt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zstdmt-devel %{_description}

This package contains library source intended for building other packages which
use the "zstdmt" feature of the "%{crate}" crate.

%files       -n %{name}+zstdmt-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 21 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.1-1
- initial build
